"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackagePuml = void 0;
const endent_1 = __importDefault(require("endent"));
const class_1 = require("./class");
/**
 * Converts one or more Packages to PlantUml code
 * @param javaPackage the Package(s) to convert
 * @returns the puml code (without @startuml/@enduml)
 */
function getPackagePuml(javaPackage) {
    if (!('name' in javaPackage)) {
        return javaPackage.map((jp) => getPackagePuml(jp)).join('\n\n');
    }
    return (0, endent_1.default) `
        package ${javaPackage.name} {

            ${javaPackage.classes.length ? `' -=- classes (${javaPackage.name}) -=-` : ''}
            ${(0, class_1.getClassPuml)(javaPackage.classes)}

            ${javaPackage.packages.length ? `' === packages (${javaPackage.name}) ===` : ''}
            ${getPackagePuml(javaPackage.packages)}
        }`;
}
exports.getPackagePuml = getPackagePuml;
